Package org.flowable.engine.delegate.event.impl

# Class FlowableErrorEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableErrorEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityEvent`, `FlowableErrorEvent`, `FlowableProcessEngineEvent`

public class FlowableErrorEventImpl extends FlowableActivityEventImpl implements FlowableErrorEvent
Implementation of an `FlowableErrorEvent`.

Author:
  Frederik Heremans

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `errorCode`
  `protected String`
  `errorId`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `activityId, activityName, activityType, behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableErrorEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  `String`
  `getErrorId()`
  `void`
  `setErrorCode(String errorCode)`
  `void`
  `setErrorId(String errorId)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableActivityEvent

  `getActivityId, getActivityName, getActivityType, getBehaviorClass`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### errorId

    protected String errorId

  - ### errorCode

    protected String errorCode

- ## Constructor Details

  - ### FlowableErrorEventImpl

    public FlowableErrorEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getErrorId

    public String getErrorId()
    Specified by:
      `getErrorId` in interface `FlowableErrorEvent`

  - ### setErrorId

    public void setErrorId(String errorId)

  - ### setErrorCode

    public void setErrorCode(String errorCode)

  - ### getErrorCode

    public String getErrorCode()
    Specified by:
      `getErrorCode` in interface `FlowableErrorEvent`
    Returns:
      the error-code of the error. Returns null, if no specific error-code has been specified when the error was thrown.